
Redmine - Defect #4093

Sorting the ORDER broken - After adding a new Issue PRIORITY ("intermediate") - order and coloring

of the issues broke (do not correspond the priority)

2009-10-23 09:23 - Anton Vazir

Status: Closed Start date: 2009-10-23

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Affects Trunk and 0.8.4 (probably 0.8.5 too)

Steps I did:

In Administration/Enumerations add a new priority to "Issue Priorities": like "intermediate"

I've noticed that all of the coloring of the issues in the issues list broke: "Low" became the most BOLD RED and etc.

Now - when I have corrected the order in the DB manually, I have coloring and order Normally, but it's listed as follows:

Low

High

Middle

Urgent

Immediate

the same is in the any dropdown menu, which lists the priority. And at the same time - I have proper sorting of the issues according

to their prio in the issues list. And proper coloring. After trying to sort the issues (change order) - things messup again.

History

#1 - 2009-10-23 09:24 - Anton Vazir

- Assignee set to Jean-Philippe Lang

#2 - 2009-10-23 09:52 - Anton Vazir

Also noted - sorting works in the wrong way - you may use built-in sorting one step at a time - but as follows:

If i want certain priority to become a priority HIGHER - I have to LOWER it in the interface (one step at a time) - and then see the result in the list of

the issues. If I want lo lower the PRIO - than I have to put it HIGHER in the interface.

Sort order in the admin interface and the displayed in the Issues list do not correspond anyway, but this atleast gives to possibility to manage proper

sort order, not manually changing numbers in the "enumerations" table

#3 - 2010-01-10 15:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Anton Vazir wrote:

In Administration/Enumerations add a new priority to "Issue Priorities": like "intermediate"

I've noticed that all of the coloring of the issues in the issues list broke: "Low" became the most BOLD RED and etc.

 The CSS provided with the alternate theme is just an example based on the default settings.

If you want it to work with your priorities, you'll have to make your own CSS.

Sort order in the admin interface and the displayed in the Issues list do not correspond anyway, but this atleast gives to possibility to manage

proper sort order, not manually changing numbers in the "enumerations" table
 Yes, priorities are sorted from lower to higher in the admin interface.
